# $Revision: 1.15 $, $Date: 2008/07/27 22:49:49 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Authen
%define		pnam	NTLM
Summary:	Authen::NTLM - Perl extension for NTLM related computations
Summary(pl.UTF-8):	Authen::NTLM - rozszerzenie Perla o obliczenia oparte na NTLM
Name:		perl-Authen-NTLM
Version:	0.31
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7271a3a482cc19de23d683ad8b969ffd
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-Crypt-DES >= 2.03
BuildRequires:	perl-Digest-MD4 >= 1.1
%if %{with tests}
# this or perl(Digest::Perl::MD4) is required
BuildRequires:	perl-Crypt-DES_PP
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Crypt::DES_PP)' 'perl(Digest::Perl::MD4)'

%description
The NTLM (Windows NT LAN Manager) authentication scheme is the
authentication algorithm used by Microsoft.

NTLM authentication scheme is used in DCOM and HTTP environment. It is
used to authenticate DCE RPC packets in DCOM. It is also used to
authenticate HTTP packets to MS Web Proxy or MS Web Server.

As of this version, NTLM module only provides the client side
functions to calculate NT response and LM response.

%description -l pl.UTF-8
Schemat autentykacji NTLM (Windows NT LAN Manager) jest algorytmem
autentykacji używanym przez Microsoft.

Schemat autentykacji NTLM jest wykorzystywany w środowiskach DCOM i
HTTP. W DCOM służy do autentykacji pakietów DCE RPC. W HTTP jest
wykorzystywany do autentykacji pakietów HTTP przez MS Web Proxy i MS
Web Server.

Aktualna wersja modułu NTLM zawiera jedynie wsparcie dla funkcji
obliczających odpowiedzi NT i LM po stronie klienta.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Authen/NTLM.pm
%{perl_vendorlib}/Authen/NTLM
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Authen-NTLM.spec,v $
Revision 1.15  2008/07/27 22:49:49  arekm
- release 3

Revision 1.14  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.12  2004/11/03 21:01:01  paladine
- formatting

Revision 1.11  2004/05/23 05:25:36  ankry
- fixed BR, rel. 2

Revision 1.10  2004/05/06 18:09:16  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.8  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.7  2004/03/09 20:50:07  adamg
- new style bconds

Revision 1.6  2003/09/21 21:47:41  adamg
- updated to 0.31

Revision 1.5  2003/05/28 13:00:24  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/27 10:46:17  radek
- fixed for perl-5.8.0; release 2

Revision 1.2  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.1  2003/04/06 00:14:28  ankry
- new

